VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: HPLIP - is the latest version in the repos faulty?  (Read 3509 times)

gizmo

  • Member
  • *
  • Posts: 21
HPLIP - is the latest version in the repos faulty?
« on: August 04, 2010, 09:31:20 pm »

 I am having terrible problems trying to get my printer working through HP device manager.

I'm using Vector Linux Gold 6.0

It is an HP Photosmart C4385. I have managed to get it working with CUPS but not with HP Device Manager. I really would like the extra features of HP device manager.
I have downgraded the HPLIP from version 3.9.2 back to 2.8.12.

After I downgraded I found the right driver for my computer and installed using HP device manager. It worked briefly but now:
When running as user (not root) if I open HP Device Manager it shows the printer icon with "device communication error 5012". No display of ink levels, or option to clean prints heads, etc. If installed through HP device manager it seems to install OK but won't print. (not even the print test page.) The HP icon shows on the panel (systray). I tried to delete the printer and reinstall, but when I tried to delete it, I got a popup message asking for the password for user. I tried entering the password for user, and the password for root, and it kept coming back - neither password worked.

 When running as root I get an error mesage "hp-systray must be running to get device status. hp-systray requires dbus support. Device status will not be available."  this does not happen when running as user. I opened a terminal as root and entered hp-systray, I got a message hp-systray cannot be run as root.
When running as root if I open the HP device manager the printer now shows as idle. (no communication error.) However it still won't print. There are items in the print queue and I can't delete them, even as root.  When logged in as root I was able to delete and reinstall the printer. All problems remain.

The really odd thing is, on another computer I run Linux Mint 7 and it has the same version of HPLIP as the LATER one on the Vector repositories - 3.9.2. (Actually it is labelled hplip 3.9.2-3ubuntu4. hpijs is the same version number. CUPS is 1.3.9-17 ubuntu3.9.) On that computer the driver for the HP C4380 series printer is there, and it works perfectly, detected at first install and never given any grief. The most interesting point is that the driver for this printer is part of the Mint (and Ubuntu) version of HPLIP 3.9.2 but it and many, many others are missing from HPLIP 3.9.2 in the Vector repositories.

It makes me think that the HPLIP 3.9.2 in Vector repos might be faulty. (???)

Anyway, the latest version now available on the HPLIP website is 3.10.6

The latest version in the Vector repos is 3.9.2 which came out in 2009/02/24. Is there going to be an updated HPLIP for Vector 6.0?

thanks.
Logged

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4085
Re: HPLIP - is the latest version in the repos faulty?
« Reply #1 on: August 05, 2010, 04:37:52 am »

Post a request in the "New package requests" area of the forum.
Logged